function [imBackGround imClean] = BackgroundExtract(imT)
% Compute the back ground image and a binary image where 0 is the road surface, 1
% is vehicle flow.
% It is assumed that the background-pixel color should accur
% the most frequently over the analysis time interval.(the time interval is
% based on traffic density ,1-10 min are all reasonable values.
% Using the RGB image, and the Threshold is the sum of 3 channels
% Parameter: bin = 2^n-1 is the level of pixels for eatch channel, the noisy image should have
%            smaller value.
%            Th (3 - 15) a larger Th achive more road.(Black area)
%            
    bin = 31;
    Th = 10;
    [height width channel] = size(imT);

    imT = im2double(imT);
    imBackGround = imT;
    imCleanS = zeros(height,width);
    for i = 1:channel
        imTS = imT(:,:,i);
        imTS = ceil(imTS*bin);
        [Val Time] = mode(imTS);
        imBackGroundS = repmat(Val, height, 1);
        imCleanS = imCleanS + abs(imTS - imBackGroundS);
        imBackGround(:,:,i) = imBackGroundS/bin;
    end
   
    imCleanS(imCleanS<Th) = 0;
    imCleanS(imCleanS~=0) = 255;
    imClean = imCleanS;
end
